<template>
<div>
  <v-row>
    <v-col>
      <h1>Ajouter un ingrédient</h1>
    </v-col>
  </v-row>
  <v-row>
    <v-col>
      <v-form>
        <v-text-field
            label="Nom"
            outlined
            v-model="ingredient.name"
            required
        ></v-text-field>

        <v-textarea
            label="Description"
            outlined
            v-model="ingredient.description"
            required
        ></v-textarea>

        <v-btn @click="submit" :disabled="disabled">Ajouter</v-btn>
        <v-btn to="/">Annuler</v-btn>
      </v-form>
    </v-col>
  </v-row>
</div>
</template>

<script>
import Vue from 'vue'

export default Vue.extend({
  data() {
    return {
      ingredient: {
          name: null,
          description: null,
      }
    }
  },
  computed: {
    disabled() {
      return !(this.ingredient.name && this.ingredient.description);
    }
  },
  methods: {
    submit() {
      // const token = document.cookie
      //   .split('; ')
      //   .find(row => row.startsWith('token='))
      //   .split('=')[1];
      // this.$axios.setToken(token, 'Bearer')

      this.$axios.post('/ingredients/add', this.ingredient)
        .then(res => {
          if (res.status === 200) {
            this.$router.push('/');
          } else {
            console.log(res);
          }
        })
        .catch(err => {
          console.log(err);
        })
    }
  }
})
</script>
